package org.gudenau.cooler;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.inventory.Container;
import net.minecraft.inventory.Slot;
import net.minecraft.item.ItemFood;
import net.minecraft.item.ItemStack;

public class ContainerCooler extends Container {

	private TileCooler tile;
	
	public ContainerCooler(InventoryPlayer playerInv, TileCooler tile) {
		this.tile = tile;
		tile.openChest();
		
		int x, y;
		
		for (y = 0; y < 2; y++) {
			for (x = 0; x < 3; x++) {
				addSlotToContainer(new FoodSlot(tile, x + y * 3, x * 18 + 62, y * 18 + 13));
			}
		}

		for (y = 0; y < 3; y++) {
			for (x = 0; x < 9; x++) {
				addSlotToContainer(new Slot(playerInv, x + y * 9 + 9,
						8 + x * 18, y * 18 + 73));
			}
		}

		for (x = 0; x < 9; ++x) {
			addSlotToContainer(new Slot(playerInv, x, 8 + x * 18, 131));
		}
	}

	@Override
	public boolean canInteractWith(EntityPlayer player) {
		return tile.isUseableByPlayer(player);
	}

	@Override
	public void onContainerClosed(EntityPlayer player) {
		super.onContainerClosed(player);
		tile.closeChest();
	}
	
	@Override
    public ItemStack transferStackInSlot(EntityPlayer player, int slot) {
		ItemStack itemstack = null;
        Slot slotObj = (Slot)this.inventorySlots.get(slot);

        if (slotObj != null && slotObj.getHasStack())
        {
            ItemStack itemstack1 = slotObj.getStack();
            itemstack = itemstack1.copy();

            if (slot < 6)
            {            	
                if (!mergeItemStack(itemstack1, 6, inventorySlots.size(), true))
                {
                    return null;
                }
            }
            else if (!(itemstack1.getItem() instanceof ItemFood) || !mergeItemStack(itemstack1, 0, 6, false))
            {
                return null;
            }

            if (itemstack1.stackSize == 0)
            {
            	slotObj.putStack((ItemStack)null);
            }
            else
            {
            	slotObj.onSlotChanged();
            }
        }

        return itemstack;
    }
}
