package org.gudenau.cooler;

import java.io.File;

import net.minecraft.block.Block;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.nbt.NBTTagCompound;
import net.minecraftforge.common.Configuration;
import cpw.mods.fml.common.Mod;
import cpw.mods.fml.common.Mod.EventHandler;
import cpw.mods.fml.common.Mod.Instance;
import cpw.mods.fml.common.SidedProxy;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.network.NetworkMod;
import cpw.mods.fml.common.network.NetworkRegistry;
import cpw.mods.fml.common.registry.GameRegistry;
import cpw.mods.fml.common.registry.LanguageRegistry;

@Mod(modid = "gud_cooler")
@NetworkMod
public class Cooler {

	@Instance(value = "gud_cooler")
	public static Cooler instance;

	@SidedProxy(clientSide = "org.gudenau.cooler.ClientProxy", serverSide = "org.gudenau.cooler.Proxy")
	public static Proxy proxy;

	private BlockCooler cooler;
	public static boolean buffer = true;

	@EventHandler
	public void init(FMLPreInitializationEvent event) {
		Configuration config = new Configuration(new File(
				"config/gudenau/cooler.cfg"));
		int coolerId;

		config.load();
		if (config.hasKey(Configuration.CATEGORY_BLOCK, "cooler")) {
			coolerId = config.get(Configuration.CATEGORY_BLOCK, "cooler", 0)
					.getInt();
		} else {
			coolerId = config.getBlock("cooler", 1).getInt();
		}

		cooler = new BlockCooler(coolerId);
		GameRegistry.registerBlock(cooler, ItemCooler.class,
				"gud_cooler_block_cooler");
		GameRegistry.registerTileEntity(TileCooler.class,
				"gud_cooler_tile_cooler");

		LanguageRegistry lr = LanguageRegistry.instance();

		lr.addStringLocalization("tile.gud_cooler_block_cooler.name", "en_US",
				"Cooler");
		lr.addStringLocalization("gud_cooler_tile_cooler.name", "en_US",
				"Cooler");
		lr.addStringLocalization("gud_cooler:inv.cooler.name", "en_US",
				"Cooler");

		NetworkRegistry.instance().registerGuiHandler(this, new GuiHandler());

		ItemStack coolerStack = new ItemStack(cooler, 1, 0xFFFFFF);
		coolerStack.stackTagCompound = new NBTTagCompound();

		if (config.get("misc", "crafting", 0).getInt() == 1) {
			GameRegistry.addRecipe(coolerStack.copy(), new Object[] { "sSs",
					"ScS", "sSs", 's', new ItemStack(Item.snowball, 1, 0), 'S',
					new ItemStack(Block.ice, 1, 0), 'c',
					new ItemStack(Block.chest, 1, 0) });

			coolerStack.stackTagCompound.setBoolean("clear", true);
			coolerStack.setItemDamage(0x1FFFFFF);
			GameRegistry.addRecipe(coolerStack.copy(), new Object[] { "sss",
					"scs", "sss", 's', new ItemStack(Block.ice, 1, 0), 'c',
					new ItemStack(cooler, 1) });
		} else {
			GameRegistry.addRecipe(coolerStack.copy(), new Object[] { "sSs",
					"ScS", "sSs", 's', new ItemStack(Item.snowball, 1, 0), 'S',
					new ItemStack(Block.blockSnow, 1, 0), 'c',
					new ItemStack(Block.chest, 1, 0) });

			coolerStack.stackTagCompound.setBoolean("clear", true);
			coolerStack.setItemDamage(0x1FFFFFF);
			GameRegistry.addRecipe(coolerStack.copy(), new Object[] { "sSs",
					"ScS", "sSs", 's', new ItemStack(Item.snowball, 1, 0), 'S',
					new ItemStack(Block.ice, 1, 0), 'c',
					new ItemStack(Block.chest, 1) });
		}

		proxy.registerRenders();

		buffer = config.get("misc", "buffer", true).getBoolean(true);

		config.addCustomCategoryComment("misc", "Mics settings for the mod");
		config.get("misc", "crafting", 0).comment = "Crafting recipie:\n  0: Normal\n  1: Hard";
		config.get("misc", "buffer", true).comment = "Is the buffer enabled?";
		config.save();
	}
}
