package org.gudenau.cooler;

import org.lwjgl.opengl.GL11;

import net.minecraft.client.gui.inventory.GuiContainer;
import net.minecraft.client.resources.I18n;
import net.minecraft.entity.player.InventoryPlayer;
import net.minecraft.inventory.Container;
import net.minecraft.util.ResourceLocation;

public class GuiCooler extends GuiContainer {

	private static final ResourceLocation texture = new ResourceLocation("gud_cooler:textures/gui/coolergui.png");
	private TileCooler tile;
	private InventoryPlayer playerInv;

	public GuiCooler(InventoryPlayer playerInv, TileCooler tile) {
		super(new ContainerCooler(playerInv, tile));
		this.tile = tile;
		this.playerInv = playerInv;
		
		width = 176;
		height = 160;
	}

	public void drawGuiContainerForegroundLayer(int par1, int par2) {
		String tmp = tile.isInvNameLocalized() ? tile.getInvName()
				: I18n.getString(tile.getInvName());
		
		int collor = ((tile.red << 16) + (tile.green << 8) + (tile.blue)) ^ 0x00FFFFFF;
		fontRenderer.drawString(tmp, (xSize - fontRenderer.getStringWidth(tmp)) / 2, ySize - 165, collor);
		
		tmp = playerInv.isInvNameLocalized() ? playerInv.getInvName() : I18n
				.getString(playerInv.getInvName());
		fontRenderer.drawString(tmp, (xSize - fontRenderer.getStringWidth(tmp)) / 2, ySize - 105, 0x404040);
	}

	public void drawGuiContainerBackgroundLayer(float par1, int par2, int par3) {
		GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
		mc.getTextureManager().bindTexture(texture);
		
		GL11.glColor3f(tile.red / 256F, tile.green / 256F, tile.blue / 256F);
		drawTexturedModalRect((width - 68) / 2, (height - 176) / 2, 0, 0, 68, 60);
		
		GL11.glColor3f(1.0F, 1.0F, 1.0F);
		drawTexturedModalRect((width - 176) / 2, (height - 176) / 2 + 60, 0, 60, 176, 100);
	}

}
