package org.gudenau.cooler;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.world.World;
import cpw.mods.fml.common.network.IGuiHandler;

public class GuiHandler implements IGuiHandler{

	@Override
	public Object getServerGuiElement(int id, EntityPlayer player, World world,
			int x, int y, int z) {
		TileEntity tile = world.getBlockTileEntity(x, y, z);
		if(tile == null || !(tile instanceof TileCooler)){
			return null;
		}
		
		TileCooler cooler = (TileCooler)tile;
		
		switch(id){
		case 0:
			return new ContainerCooler(player.inventory, cooler);
		}
		
		return null;
	}

	@Override
	public Object getClientGuiElement(int id, EntityPlayer player, World world,
			int x, int y, int z) {
		TileEntity tile = world.getBlockTileEntity(x, y, z);
		if(tile == null || !(tile instanceof TileCooler)){
			return null;
		}
		
		TileCooler cooler = (TileCooler)tile;
		
		switch(id){
		case 0:
			return new GuiCooler(player.inventory, cooler);
		}
		
		return null;
	}

}
