package org.gudenau.cooler;

import org.lwjgl.opengl.GL11;

import net.minecraft.block.Block;
import net.minecraft.client.Minecraft;
import net.minecraft.client.renderer.RenderBlocks;
import net.minecraft.client.renderer.Tessellator;
import net.minecraft.util.ResourceLocation;
import net.minecraft.world.IBlockAccess;
import cpw.mods.fml.client.registry.ISimpleBlockRenderingHandler;

public class RenderCoolerInv implements ISimpleBlockRenderingHandler {

	private static final ResourceLocation texture = new ResourceLocation("gud_cooler:textures/blocks/cooler.png");
	private static final ResourceLocation textureClear = new ResourceLocation("gud_cooler:textures/blocks/cooler_clear.png");
	private static final ModelCooler model = new ModelCooler();
	
	public RenderCoolerInv(){
		model.handle.rotateAngleX = -1;
	}
	
	@Override
	public void renderInventoryBlock(Block block, int metadata, int modelID,
			RenderBlocks renderer) {
		
		Minecraft.getMinecraft().getTextureManager().bindTexture((metadata & 0x1000000) != 0 ? textureClear : texture);
		
		float red, green, blue;
		
		red		= (metadata & 0xFF) / 255F;
		green	= ((metadata >> 8) & 0xFF) / 255F;
		blue	= ((metadata >> 16) & 0xFF) / 255F;
		
		GL11.glColor3f(red, green, blue);
		GL11.glTranslatef(0.0F, 0.0F, -0.2F);
		GL11.glScalef(1.3F, 1.3F, 1.3F);
		model.renderAll();
	}

	@Override
	public boolean renderWorldBlock(IBlockAccess world, int x, int y, int z,
			Block block, int modelId, RenderBlocks renderer) {
		return false;
	}

	@Override
	public boolean shouldRender3DInInventory() {
		return true;
	}

	@Override
	public int getRenderId() {
		return Cooler.proxy.renderId;
	}

}
